# Generated from tropo_tail-0.2.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tropo_tail

Name: rubygem-%{gem_name}
Version: 0.2.6
Release: 1%{?dist}
Summary: A log tailing application for Tropo's scripting API
License: Nonstandard
URL: http://www.cloverhound.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(aruba)
# BuildRequires: rubygem(test-unit)
BuildArch: noarch

%description
Currently the only way to access Tropo logs is to download a text file from
the Tropo FTP site. This requires constant redownloads of files that can grow
to very large sizes. Tropo tail allows you to live tail your logs with log
rollovers when Tropo creates a new log file, for a better development
experience.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/tropo_tail
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/tropo_tail-0.1.0.gem
%{gem_instdir}/tropo_tail-0.2.0.gem
%{gem_instdir}/tropo_tail-0.2.1.gem
%{gem_instdir}/tropo_tail-0.2.2.gem
%{gem_instdir}/tropo_tail-0.2.3.gem
%{gem_instdir}/tropo_tail.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/tropo_tail.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.2.6-1
- Initial package
